com.ibm.openpages.api.security

## Enum UserRight

- java.lang.Object
- - java.lang.Enum<UserRight>
  - - com.ibm.openpages.api.security.UserRight

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<UserRight>

      public enum UserRight
      extends java.lang.Enum<UserRight>

  Defines the supported user right enumerations in the OpenPages system.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADD_GROUP_MEMBERSHIP`
    `ASSIGN_ROLE`
    `BROWSE_USERS_OR_GROUPS`
    `CREATE_USERS_OR_GROUP`
    `DISABLE_USER_OR_GROUP`
    `ENABLE_USER_OR_GROUP`
    `LOCK_USER_OR_GROUP`
    `MANAGE`
    `MODIFY_USER_OR_GROUP`
    `REMOVE_GROUP_MEMBERSHIP`
    `REMOVE_USER_OR_GROUP`
    `RESET_PASSWORD`
    `REVOKE_ROLE`
    `UNLOCK_USER_OR_GROUP`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UserRight` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static UserRight[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOCK_USER_OR_GROUP

          public static final UserRight LOCK_USER_OR_GROUP

    - #### UNLOCK_USER_OR_GROUP

          public static final UserRight UNLOCK_USER_OR_GROUP

    - #### RESET_PASSWORD

          public static final UserRight RESET_PASSWORD

    - #### ASSIGN_ROLE

          public static final UserRight ASSIGN_ROLE

    - #### REVOKE_ROLE

          public static final UserRight REVOKE_ROLE

    - #### BROWSE_USERS_OR_GROUPS

          public static final UserRight BROWSE_USERS_OR_GROUPS

    - #### CREATE_USERS_OR_GROUP

          public static final UserRight CREATE_USERS_OR_GROUP

    - #### MODIFY_USER_OR_GROUP

          public static final UserRight MODIFY_USER_OR_GROUP

    - #### REMOVE_USER_OR_GROUP

          public static final UserRight REMOVE_USER_OR_GROUP

    - #### ENABLE_USER_OR_GROUP

          public static final UserRight ENABLE_USER_OR_GROUP

    - #### DISABLE_USER_OR_GROUP

          public static final UserRight DISABLE_USER_OR_GROUP

    - #### ADD_GROUP_MEMBERSHIP

          public static final UserRight ADD_GROUP_MEMBERSHIP

    - #### REMOVE_GROUP_MEMBERSHIP

          public static final UserRight REMOVE_GROUP_MEMBERSHIP

    - #### MANAGE

          public static final UserRight MANAGE

  - ### Method Detail

    - #### values

          public static UserRight[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UserRight c : UserRight.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UserRight valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.